Subject: Splitting cygwin.dll up into chunks
From: [email-masked] (Geoffrey Noer)

22 Jan 1997 10:34:30 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Edward S. Marshall)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Edward S. Marshall" at Jan 16, 97 12:20:42 pm
X-Mailer: ELM [version 2.4 PL23]
Content-Length: 1030      
Original-Sender: [email-masked]

Edward S. Marshall wrote:
> 
> As an alternative approach, has anyone considered breaking cygwin.dll into
> functional portions, i.e. groups of functions which are functionally
> dependant upon each other are broken into separate dll's?
[...]

In an ideal world, I think I would like to break up the cygwin.dll
into the following smaller dlls:

* UNIX compatibility syscalls
* libc
* libm
* libgcc2 functions removed and left in libgcc2.a

Unfortunately, dlltool needs to be worked on some more before this
is really doable.  There would still be a lot of complicated dependencies
between the split up dlls since libc uses the Unix layer.

Also, as other people have noted, although executables in the beta 17.1
release were stripped before packaging, stripping the dll results in
an invalid cygwin.dll so I had to leave the debugging info in it.
(Most of the 3.5 MB is debugging info).  Strip needs to be fixed to
allow safe stripping the dlls.  For now, building without -g will
have to do...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".